import { Node, Edge } from "@antv/layout";
export declare const attributesToTextureData: (attributeNames: string[], items: any[]) => {
    array: Float32Array;
    count: number;
};
/**
 * 将节点和边数据转换为 GPU 可读的数组。并返回 maxEdgePerVetex，每个节点上最多的边数
 * @param  {NodeConfig[]}  nodes 需要被转换的值
 * @param  {EdgeConfig[]}  edges 返回函数的默认返回值
 * @return {Object} 转换后的数组及 maxEdgePerVetex 组成的对象
 */
export declare const buildTextureData: (nodes: Node[], edges: Edge[]) => {
    array: Float32Array;
    maxEdgePerVetex: number;
};
export declare const buildTextureDataWithTwoEdgeAttr: (nodes: Node[], edges: Edge[], attrs1: (e: Edge) => number, attrs2: (e: Edge) => number) => {
    array: Float32Array;
    maxEdgePerVetex: number;
};
/**
 * transform the number array format of extended attributes of nodes or edges to a texture array
 * @param  {string[]}  attributeNames attributes' name to be read from items and put into output array
 * @return {Float32Array} the attributes' value array to be read by GPU
 */
export declare const arrayToTextureData: (valueArrays: number[][]) => Float32Array;
